DOKU Malaysia API Reference
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
  1. Notification
  • Introduction
  • Getting Started
    • Create Account
    • Authentication & API Keys
    • Make your first API call
  • Checkout
    • Overview
    • Create Checkout
      POST
    • Retrieve Checkout Status
      GET
  • Payment
    • Overview
    • Create Payment
    • Get Bank List - FPX
    • Retrieve Payment Status
  • Cards Payment
    • Overview
    • Payment Form
      • Request Payment
    • Host-to-Host Payment
      • Check Three D Secure
      • Charge Payment
      • Capture Authorized Payment
    • Request Refund
    • Unbind Token
    • Check Status
  • Notification
    • Overview
    • Setup Notification URL
    • Retry Notification
    • Sample Notification - Global
      POST
    • Sample Notification - Cards
      POST
  • Technical Reference
    • Authentication & Integrity
    • Idempotency
    • Data Type
    • Order & Transaction Status
    • Postman Collection
    • Response Code
      • Error Code
    • API Version
      • Create Checkout
      • Create Payment
      • Get Bank List - FPX
      • Retrieve Checkout
      • Retrieve Payment
    • Signature
      • Signature - Global
        • Signature
      • Signature - Cards Payment API
        • Signature Component from Request Header
        • Signature Component from Response Header
        • Signature from API Get Method
        • Sample Code
  1. Notification

Sample Notification - Global

POST
/merchants-url/receive-notification
After setting up your Notification URL, we will send the notification for certain events such as when the payment is succeed, failed, and etc.
Here is the sample notification that DOKU will send to merchant's server.

Request

Header Params

Body Params application/json

Example
{
    "id": "8fdC56eo-cC99-46E1-B6AC-4asD8755B25C",
    "order": {
        "amount": 100.05,
        "invoice_number": "INV-20210231-0001",
        "currency": "MYR",
        "expired_at": "2026-01-16T04:20:42.115Z"
    },
    "payment": {
        "channel": "EWALLET_SHOPEEPAY",
        "type": "SALE",
        "initiation_type": "customer_initiate",
        "amount": 100.05,
        "currency": "MYR",
        "status": "SUCCESS",
        "state": "COMPLETED"
    },
    "customer": {
        "id": "DOKU-CUST-001",
        "name": "John Doe",
        "email": "customer_email@test.com",
        "phone": "+60812345678",
        "country": "MY",
        "address": "Street 1"
    },
    "metadata": {
        "sample_key": "your value"
    }
}

Responses

🟢200OK
This response does not have a body.
Modified at 2026-07-01 07:03:58
Previous
Retry Notification
Next
Sample Notification - Cards
Built with